MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031841Community[OCCT] OCCT:Codingpublic2020-10-12 17:202020-10-17 13:31
Reportergalbramc 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031841: Coding Rules, LDOM_XmlReader - eliminate new CLang compiler warning -Wtautological-overlap-compare
Description
src/LDOM/LDOM_XmlReader.cxx:205:30: warning: overlapping comparisons always evaluate to false [-Wtautological-overlap-compare]
          
if (myPtr[3] == 56 && myPtr[3] == 45)
              ~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031340verifiedbugmaster Open CASCADE Application Framework - LDOM fails to read XML file starting with BOM 

-  Notes
(0095899)
git (administrator)
2020-10-12 17:46

Branch CR31841 has been created by mpv.

SHA-1: ccbbf71ca1b166061bf56677e61b465751cfd99b


Detailed log of new commits:

Author: mpv
Date: Mon Oct 12 17:49:21 2020 +0300

    0031841: Coding Rules, LDOM_XmlReader - eliminate new CLang compiler warning -Wtautological-overlap-compare
(0095900)
mpv (developer)
2020-10-12 17:49

Minor fix, no tests required.
(0096027)
bugmaster (administrator)
2020-10-17 13:21

Combination -
OCCT branch : IR-2020-10-16
master SHA - ae9f4b64cacf0df612944b3694a3bdfa5f1f29cf
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-16 SHA - fcb5abe005e152f7f923f4cf6c02acb07c027cdc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18027.820000000127 / 18057.130000000117 [-0.16%]
Products
Total CPU difference: 12174.330000000093 / 12182.170000000115 [-0.06%]
Windows-64-VC14:
OCCT
Total CPU difference: 19740.03125 / 19746.828125 [-0.03%]
Products
Total CPU difference: 13564.71875 / 13586.625 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 2958b91f
Timestamp: 2020-10-12 14:49:21
Author: mpv
Committer: bugmaster
Details ] Diff ]
0031841: Coding Rules, LDOM_XmlReader - eliminate new CLang compiler warning -Wtautological-overlap-compare
mod - src/LDOM/LDOM_XmlReader.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-10-12 17:20 galbramc New Issue
2020-10-12 17:20 galbramc Assigned To => abv
2020-10-12 17:31 kgv Relationship added child of 0031340
2020-10-12 17:32 kgv Assigned To abv => mpv
2020-10-12 17:32 kgv Status new => assigned
2020-10-12 17:32 kgv Product Version => 7.5.0
2020-10-12 17:32 kgv Target Version => 7.5.0
2020-10-12 17:32 kgv Summary [OCCT] 7.5.0 Beta compiler warning => Coding Rules, LDOM_XmlReader - eliminate new CLang compiler warning -Wtautological-overlap-compare
2020-10-12 17:33 kgv Description Updated View Revisions
2020-10-12 17:46 git Note Added: 0095899
2020-10-12 17:49 mpv Note Added: 0095900
2020-10-12 17:49 mpv Assigned To mpv => kgv
2020-10-12 17:49 mpv Status assigned => resolved
2020-10-12 17:49 mpv Steps to Reproduce Updated View Revisions
2020-10-12 17:58 kgv Assigned To kgv => bugmaster
2020-10-12 17:58 kgv Status resolved => reviewed
2020-10-17 13:21 bugmaster Note Added: 0096027
2020-10-17 13:21 bugmaster Status reviewed => tested
2020-10-17 13:25 bugmaster Test case number => Not required
2020-10-17 13:31 bugmaster Changeset attached => occt master 2958b91f
2020-10-17 13:31 bugmaster Status tested => verified
2020-10-17 13:31 bugmaster Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker